Bug 126187 - "write list" ignored on "read only" shares
"write list" ignored on "read only" shares
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-06-17 05:08 EDT by Charles Lopes
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-08 09:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles Lopes 2004-06-17 05:08:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
After updating samba, some shares stopped behaving the way they did
before the update. The "write list" is not being honored anymore on
shares where both "force user" and "read only" are defined.
The bug is filed upstream (bug #1319) along with a patch.
The problem is present in FC 2 as well.

Version-Release number of selected component (if applicable):
Comment 1 Charles Lopes 2004-07-08 08:01:29 EDT
The bug is fixed for me as of samba-3.0.5-0pre1.0. Any chance of an
errata for FC1 when samba 3.0.5 final is out?

Comment 2 Jay Fenlason 2004-07-08 11:30:51 EDT
The magic 8-ball says "If 3.0.5 comes out before the EOL for FC1, 
probably, otherwise, you'll have to ask the Fedora Legacy folks." 
Comment 3 Charles Lopes 2004-08-27 03:16:02 EDT
samba 3.0.6 is out and EOL for FC1 is only a couple of weeks away. The
rawhide package seems fine. If you decide to issue an errata I would
be very grateful. :-)
Comment 4 Charles Lopes 2004-08-27 03:17:45 EDT
From the changelog of 3.0.6:

Common bugs fixed in 3.0.6 include:

  o Schannel failure in winbindd.
  o Numerous memory leaks.
  o Incompatibilities between the 'write list' and 'force user'
    smb.conf options.
  o Premature optimization of the open_directory() internal 
    function that broke tools such as the ArcServe backup 
    agent, Macromedia HomeSite, and Robocopy.
  o Corrupt workgroup names in nmbd's browse.dat.
  o Sharing violation errors commonly seen when opening
    when serving Microsoft Office documents from a Samba 
    file share.
  o Browsing problems caused by an apostrophe (') in the 
    computer's description field.
  o Problems creating special file types from UNIX CIFS 
    clients and enabling 'unix extensions'.
  o Fix stalls in smbd caused by inaccessible LDAP servers.
  o Remove various memory leaks.
  o Fix issues in the password lockout feature.

Note You need to log in before you can comment on or make changes to this bug.